Subject: Re: compilation with -mno-cygwin
From: "Hans Horn" <[email-masked]>
To: "Chris Jefferson" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 14 Apr 2004 11:31:34 -0700

Hi Chris,

I have no used mingw per se for this.
I just happened to have a spare time slot when I was reading the posting
about the compiler performance comparison.
So I simply added -mno-cygwin to the compile flags used to compile my
sources (which btw, don't use anything cygwin specific - I think)
are tried to compile.

Right now I don't have more time than it took to write this - but I pick up
on the issue later.

Hans
----- Original Message ----- 
From: "Chris Jefferson" <[email-masked]>
To: "Hans Horn" <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, April 13, 2004 10:24 AM
Subject: Re: compilation with -mno-cygwin

> Hans Horn wrote:
>
> >I light of the recent gcc performance comparison, I tried to compile a
> >number crunching application (for which I have noticed a significant
> >performance degradation of a factor 2-3 since the days of gcc2.9.x) using
> >the -mno-cygwin flag.
> >I get a shitload of crap like the following :
> >
>
>g++ -c -mno-cygwin -ansi -DGCC3X -DLINUX -DINLINE=inline -fno-default-inlin
e
>
> -W -Wno-deprecated -fomit-frame-pointer -ffast-math -mcpu=pentium4 -march=
p
> >entium4 -mfpmath=sse -O2 -I./ -o xyz.o xyz.cpp
> >
> >
> <snip>
>
> For a start, you shouldn't treat -mno-cygwin like linux (-DLINUX).
> -mno-cygwin turns g++ into a "pure" windows C++ compiler (hence the name
> of the flag).
>
> -mno-cygwin should end up with files identical(ish) to those obtained by
> mingw I think.. what compile line did you use for that?
>
> Chris
> --
> Badger, Badger, Badger, Badger, Badger, Badger, Badger, Badger...
> Mushroom! Mushroom!

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/